package com.iformall.enums;


/**
 * @author gongbiao
 */
public enum EnumActivityJoinSignStatus {

    YES(1, "签到"),
    NO(0, "未签到"),;

    public static EnumActivityJoinSignStatus getEnum(Integer code) {
        for (EnumActivityJoinSignStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumActivityJoinSignStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
